<?php

namespace CreoCode\ContaoMinifier\ContaoManager;

use Contao\CoreBundle\ContaoCoreBundle;
use Contao\ManagerPlugin\Bundle\BundlePluginInterface;
use Contao\ManagerPlugin\Bundle\Config\BundleConfig;
use Contao\ManagerPlugin\Bundle\Parser\ParserInterface;
use CreoCode\ContaoMinifier\ContaoMinifier;

/**
 * Plugin for the Contao Manager.
 */
class Plugin implements BundlePluginInterface
{
    /**
     * {@inheritdoc}
     */
    public function getBundles(ParserInterface $parser)
    {
        return [
            BundleConfig::create(ContaoMinifier::class)
                ->setLoadAfter([ContaoCoreBundle::class])
                ->setReplace(['minifier']),
        ];
    }

}
